spandsp: t38_non_ecm_buffer_state_s Struct Reference

spandsp 0.0.6

t38_non_ecm_buffer_state_s Struct Reference

A flow controlled non-ECM image data buffer, for buffering T.38 to analogue modem data. More...

`#include <t38_non_ecm_buffer.h>`

## Public Attributes
int | min_bits_per_row
| Minimum number of bits per row, used when fill bits are being deleted on the link, and restored at the emitting gateway.
uint8_t | data [T38_NON_ECM_TX_BUF_LEN]
| non-ECM modem transmit data buffer.
int | in_ptr
| The current write point in the buffer.
int | out_ptr
| The current read point in the buffer.
int | latest_eol_ptr
| The location of the most recent EOL marker in the buffer.
int | row_bits
| The number of bits to date in the current row, used when min_row_bits is to be applied.
unsigned int | bit_stream
| The bit stream entering the buffer, used to detect EOLs.
uint8_t | flow_control_fill_octet
| The non-ECM flow control fill octet (0xFF before the first data, and 0x00 once data has started).
int | input_phase
| A code for the phase of input buffering, from initial all ones to completion.
int | data_finished
| TRUE is the end of non-ECM data indication has been received.
unsigned int | octet
| The current octet being transmitted from the buffer.
int | bit_no
| The current bit number in the current non-ECM octet.
int | image_data_mode
| TRUE if in image data mode, as opposed to TCF mode.
int | in_octets
| The number of octets input to the buffer.
int | in_rows
| The number of rows input to the buffer.
int | min_row_bits_fill_octets
| The number of non-ECM fill octets generated for minimum row bits purposes.
int | out_octets
| The number of octets output from the buffer.
int | out_rows
| The number of rows output from the buffer.
int | flow_control_fill_octets
| The number of non-ECM fill octets generated for flow control purposes.

## Detailed Description

A flow controlled non-ECM image data buffer, for buffering T.38 to analogue modem data.

The documentation for this struct was generated from the following file:

- private/t38_non_ecm_buffer.h